// initializare PORTC
void car_init() {
	DDRC = 0xFF;
	PORTC = 0x00;
}
//oprire motor tractiune
void back_stop(unsigned int delay) {
	PORTC |= (1<<PORTC5);
	PORTC |= (1<<PORTC4);
	_delay_ms(delay);
}
//oprire motor directie
void front_stop(unsigned int delay) {
	PORTC |= (1<<PORTC7);
	PORTC |= (1<<PORTC6);
	_delay_ms(delay);
}
//comanda pentru accelerare timp de delay ms
void forward(unsigned int delay) {
	PORTC = (1<<PORTC5)|(0<<PORTC4);
	_delay_ms(delay);
}
//comanda pentru accelerare stanga timp de delay ms
void forward_left(unsigned int delay) {
	PORTC = (1<<PORTC5)|(0<<PORTC4)|(0<<PORTC7)|(1<<PORTC6);
	_delay_ms(delay);
}
//comanda pentru accelerare dreapta timp de delay ms
void forward_right(unsigned int delay) {
	PORTC = (1<<PORTC5)|(0<<PORTC4)|(1<<PORTC7)|(0<<PORTC6);
	_delay_ms(delay);
}
//comanda pentru accelerare spate timp de delay ms
void backward(unsigned int delay) {
	PORTC = (0<<PORTC5)|(1<<PORTC4);
	_delay_ms(delay);
}
//comanda pentru accelerare spate stanga timp de delay ms
void backward_left(unsigned int delay) {
	PORTC = (0<<PORTC5)|(1<<PORTC4)|(0<<PORTC7)|(1<<PORTC6);
	_delay_ms(delay);
}
//comanda pentru accelerare spate dreapta timp de delay ms
void backward_right(unsigned int delay) {
	PORTC = (0<<PORTC5)|(1<<PORTC4)|(1<<PORTC7)|(0<<PORTC6);
	_delay_ms(delay);
}