// Initializare ADC
void clear_sensors()
{
	// initializam la 0 in caz ca au fost alti senzori setati
	ADMUX &= 0x00;
	ADMUX=(1<<REFS0);
}

void ADC_init(void)
{
	// AVcc
	ADMUX=(1<<REFS0);
	
	//Enable ADC and set Prescaler division factor as 128
	ADCSRA=(1<<ADEN)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);
}
 
unsigned int ADC_read(unsigned char ch)
{
	//canal intre 0 si 7
	ch= ch & 0b00000111;
	
	//selectare canal
	ADMUX |= ch;
 
	_delay_ms(500);
	
	//start conversie
	ADCSRA|=(1<<ADSC);
	//asteptam sa se termine conversia
	while(!(ADCSRA & (1<<ADIF)));
	//curatare ADIF
	ADCSRA|=(1<<ADIF);
	
	return (ADC);
}